Subject: Re: Badness on the Warp

From: Frans Pop <[email-masked]>
Date: Sat, 20 Jun 2009 22:56:45 +0200

> The git bisect returned:
>
> =A0 871fa90791a6f83dd8e2e489feb9534a8c02088d is first bad commit
>
> That is it, no more info.... strange. git show 8714...088d gives:
>
> Merge: 7702667... 79f52b7...
> Author: Linus Torvalds <[email-masked]>
> Date: =A0 Thu Jun 11 11:27:09 2009 -0700
>
> The Warp has jfs disabled, so I don't know why it would affect us,
> especially this realy in the boot!

The fact that your bisect ended at a merge essentially means that it is=20
invalid. As a merge does not introduce any actual change (unless it=20
includes changes to resolve conflicts), it normally cannot be the cause=20
of a regression.

So either you made a mistake when marking a commit as good or bad during=20
the bisect, or the "badness" does not trigger reliably, resulting in you=20
incorrectly marking a bad commit as good.

My suggestion would be to run the bisection again from the start.

Cheers,
=46JP